For the complete documentation index, see llms.txt. This page is also available as Markdown.

WindowsScheduledTask

List

get

Retrieve Default Windows Scheduled Task

Query parameters
siteIdinteger · int32Optional

The Site Id of the optimization setting to retrieve the windows scheduled task.

Responses
200

Success

application/json; api-version=1.0

Image Optimization - Windows Scheduled Task

taskstring · nullableOptional

Scheduled Task

locationstring · nullableOptional

Scheduled Task Location

typestring · enumOptional

Whether file type is a folder or a task.

Possible values:
get/api/VDIDefaultSettings/Optimization/WindowsScheduledTask
GET /api/VDIDefaultSettings/Optimization/WindowsScheduledTask HTTP/1.1
Accept: */*
[
  {
    "task": "text",
    "location": "text",
    "type": [
      "0 = Folder",
      "1 = Task"
    ]
  }
]

Add

post

Adds a Windows Scheduled task to default optimization.

Query parameters
siteIdinteger · int32Optional

The Site Id of the Optimization settings to retrieve the windows scheduled task.

Body
taskstring · max: 255 · nullableRequired

Scheduled Task Name

locationstring · max: 255 · nullableRequired

Scheduled Task Location

Responses
201

Created

No content

post/api/VDIDefaultSettings/Optimization/WindowsScheduledTask
POST /api/VDIDefaultSettings/Optimization/WindowsScheduledTask HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 33

{
  "task": "text",
  "location": "text"
}

No content

Delete

delete

Removes Default Windows Scheduled Task From Optimization.

Query parameters
siteIdinteger · int32Optional

The Site Id of the optimization setting to remove the windows scheduled task.

Body
taskstring · max: 255 · nullableRequired

Scheduled Task

locationstring · max: 255 · nullableRequired

Scheduled Task Location

Responses
204

No Content

No content

delete/api/VDIDefaultSettings/Optimization/WindowsScheduledTask
DELETE /api/VDIDefaultSettings/Optimization/WindowsScheduledTask HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 33

{
  "task": "text",
  "location": "text"
}

No content